Electronics & Programming

develissimo

Open Source electronics development and programming

  • You are not logged in.

#1 Feb. 14, 2008 07:59:33

M.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


Hi,

im getting a UnicodeDecodeError in my application.
The strange thing is that it appears on the very first request after a
restart.
Then everything works fine but the error appears sporadic over the
day.
The app runs as fastcgi. Django version is trunk from 01/27/2008
request.session contains a number i.e "1".
Has somebody a hint for me?

Mike


Traceback (most recent call last):

File "/usr/lib/python2.4/site-packages/django/core/handlers/
base.py", line 82, in get_response
response = callback(request, *callback_args, **callback_kwargs)

File "/var/www/xxx/xxxx/rechnung/views.py", line 515, in DocList
firma=Firma.objects.get(nr=int(request.session))

File "/usr/lib/python2.4/site-packages/django/db/models/manager.py",
line 69, in get
return self.get_query_set().get(*args, **kwargs)

File "/usr/lib/python2.4/site-packages/django/db/models/query.py",
line 261, in get
obj_list = list(clone)

File "/usr/lib/python2.4/site-packages/django/db/models/query.py",
line 114, in __iter__
return iter(self._get_data())

File "/usr/lib/python2.4/site-packages/django/db/models/query.py",
line 483, in _get_data
self._result_cache = list(self.iterator())

File "/usr/lib/python2.4/site-packages/django/db/models/query.py",
line 189, in iterator
cursor.execute("SELECT " + (self._distinct and "DISTINCT " or "")
+ ",".join(select) + sql, params)

File "/usr/lib/python2.4/site-packages/MySQLdb/cursors.py", line
163, in execute
self.errorhandler(self, exc, value)

File "/usr/lib/python2.4/site-packages/MySQLdb/connections.py", line
35, in defaulterrorhandler
raise errorclass, errorvalue

UnicodeDecodeError: 'utf8' codec can't decode bytes in position 3-4:
invalid data
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#2 Feb. 14, 2008 08:19:36

Malcolm T.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


On Wed, 2008-02-13 at 23:59 -0800, Meista wrote:
> Hi,
>
> im getting a UnicodeDecodeError in my application.
> The strange thing is that it appears on the very first request after a
> restart.
> Then everything works fine but the error appears sporadic over the
> day.
> The app runs as fastcgi. Django version is trunk from 01/27/2008
> request.session contains a number i.e "1".
> Has somebody a hint for me?

> Traceback (most recent call last):

> File "/usr/lib/python2.4/site-packages/django/db/models/query.py",
> line 189, in iterator
> cursor.execute("SELECT " + (self._distinct and "DISTINCT " or "")
> + ",".join(select) + sql, params)
>
> File "/usr/lib/python2.4/site-packages/MySQLdb/cursors.py", line
> 163, in execute
> self.errorhandler(self, exc, value)
>
> File "/usr/lib/python2.4/site-packages/MySQLdb/connections.py", line
> 35, in defaulterrorhandler
> raise errorclass, errorvalue
>
> UnicodeDecodeError: 'utf8' codec can't decode bytes in position 3-4:
> invalid data

It looks like this is being raised by the MySQL wrapper when it tries to
convert the data it has read back from UTF-8 into Unicode (a *decode*
error happens in the conversion from UTF-8 -> Unicode, an *encode* error
happens when going in the opposite direction).

That suggests the data in your database, isn't correctly encoded for
some reason. You'll need to capture the exact value(s) of akt_Firma that
is causing the problem and manually check the database entries.

Alternatively, you could probably work out which entries are problematic
by looping through all possible values for akt_Firma and then extracting
the records one at a time. For example:

values = [int(o) for o in Firma.objects.values('nr')]
for v in values:
print 'Trying akt_Firma =', v
Firma.objects.get(nr=v)

and then sit back and wait for the wheels to fall off. Then you'll have
to examine the database by hand, because Django's already telling you it
can't read the data.

Regards,
Malcolm

> >
>
--
Why can't you be a non-conformist like everyone else?http://www.pointy-stick.com/blog/--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#3 Feb. 14, 2008 09:25:00

M.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


thanks for the fast reply.

I put the lines into my app:

first request:
DEBUG "Admin Gui: 'Mike'"
DEBUG "Trying akt_Firma =1"
BANG!

second request:
DEBUG "Admin Gui: 'Mike'"
DEBUG "Trying akt_Firma =1"
DEBUG "Trying akt_Firma =2"
DEBUG "Trying akt_Firma =4"
DEBUG "Trying akt_Firma =5"
DEBUG "Trying akt_Firma =7"
DEBUG "Trying akt_Firma =12"
DEBUG "Trying akt_Firma =13"
DEBUG "Trying akt_Firma =14"
DEBUG "Trying akt_Firma =15"
DEBUG "Trying akt_Firma =16"
DEBUG "Trying akt_Firma =17"
DEBUG "Trying akt_Firma =20"
DEBUG "Trying akt_Firma =22"
DEBUG "Trying akt_Firma =23"
DEBUG "Trying akt_Firma =24"
DEBUG "Trying akt_Firma =25"
DEBUG "Trying akt_Firma =26"
DEBUG "Trying akt_Firma =27"
DEBUG "Trying akt_Firma =28"
DEBUG "Trying akt_Firma =31"
DEBUG "Trying akt_Firma =32"
DEBUG "Trying akt_Firma =33"
DEBUG "Trying akt_Firma =34"
DEBUG "Trying akt_Firma =35"

no error occured!

Now i changed the debug code:

>values = [int(o) for o in Firma.objects.values('nr')]
>values.reverse()
>for v in values:
> log_msg('Trying akt_Firma ='+str(v))
> Firma.objects.get(nr=v)

first request:
DEBUG "Admin Gui: 'Mike'"
DEBUG "Trying akt_Firma =35"
BANG!

second request:
DEBUG "Admin Gui: 'Mike'"
DEBUG "Trying akt_Firma =35"
DEBUG "Trying akt_Firma =34"
DEBUG "Trying akt_Firma =33"
DEBUG "Trying akt_Firma =32"
DEBUG "Trying akt_Firma =31"
DEBUG "Trying akt_Firma =28"
DEBUG "Trying akt_Firma =27"
DEBUG "Trying akt_Firma =26"
DEBUG "Trying akt_Firma =25"
DEBUG "Trying akt_Firma =24"
DEBUG "Trying akt_Firma =23"
DEBUG "Trying akt_Firma =22"
DEBUG "Trying akt_Firma =20"
DEBUG "Trying akt_Firma =17"
DEBUG "Trying akt_Firma =16"
DEBUG "Trying akt_Firma =15"
DEBUG "Trying akt_Firma =14"
DEBUG "Trying akt_Firma =13"
DEBUG "Trying akt_Firma =12"
DEBUG "Trying akt_Firma =7"
DEBUG "Trying akt_Firma =5"
DEBUG "Trying akt_Firma =4"
DEBUG "Trying akt_Firma =2"
DEBUG "Trying akt_Firma =1"

no error occured.

I also recognised this error only occurs on one of my two machines.
the productive one of course! ;)
productive:
ubuntu 6.06, mysql 5.0.22, Python 2.4.3
develop:
ubuntu 7.10, mysql 5.0.45, Python 2.5.1
(uses a mysqldump of the productive)


Regards,
Mike




--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#4 Feb. 14, 2008 12:09:30

P.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


> no error occured.
>
> I also recognised this error only occurs on one of my two machines.
> the productive one of course! ;)
> productive:
> ubuntu 6.06, mysql 5.0.22, Python 2.4.3
> develop:
> ubuntu 7.10, mysql 5.0.45, Python 2.5.1
> (uses a mysqldump of the productive)
Try to add debug code before this statement:

"/usr/lib/python2.4/site-packages/django/db/models/query.py",
line 189, in iterator
cursor.execute("SELECT " + (self._distinct and "DISTINCT " or "")
+ ",".join(select) + sql, params)

something like print and, if you want, pdb:

try:
print "SELECT " + (self._distinct and "DISTINCT " or "") +
",".join(select) + sql, params
cursor.execute("SELECT " + (self._distinct and "DISTINCT " or "")
+ ",".join(select) + sql, params)
except Exception, err:
import pdb;pdb.set_trace()

--
Maciej Wisniowski
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#5 Feb. 25, 2008 00:12:57

j.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


I'm having the same problem with django svn (rev 7135). It happens only with
fcgi (I'm using lighttpd), not with "runserver". Also, sometimes there's no
error, but usually the second time I reload an exception is raised (so the
same page can display fine one time, and the next time it raises an error).

Putting DATABASE_OPTIONS = { 'charset': 'latin1', } in settings.py seems to
fix the problem.
My DB, tables and fields are set to utf8_general_ci.

Traceback:
File "/usr/lib/python2.4/site-packages/django/core/handlers/base.py" in
get_response
73. callback, callback_args, callback_kwargs =
resolver.resolve(request.path)
File "/usr/lib/python2.4/site-packages/django/core/urlresolvers.py" in
resolve
231. for pattern in self.urlconf_module.urlpatterns:
File "/usr/lib/python2.4/site-packages/django/core/urlresolvers.py" in
_get_urlconf_module
251. self._urlconf_module = __import__(self.urlconf_name,
{}, {}, )
File "/home/gestev/django/invitation/../invitation/urls.py" in ?
3. from invitation.app import views as appviews
File "/home/gestev/django/invitation/../invitation/app/views.py" in ?
10. from invitation.app.forms import *
File "/home/gestev/django/invitation/../invitation/app/forms.py" in ?
20. class AjouterInvitationForm(forms.Form):
File "/home/gestev/django/invitation/../invitation/app/forms.py" in
AjouterInvitationForm
22. partenaire = forms.ChoiceField(choices=choices_partenaires())
File "/home/gestev/django/invitation/../invitation/app/forms.py" in
choices_partenaires
8. for part in partenaires:
File "/usr/lib/python2.4/site-packages/django/db/models/query.py" in
__iter__
114. return iter(self._get_data())
File "/usr/lib/python2.4/site-packages/django/db/models/query.py" in
_get_data
483. self._result_cache = list(self.iterator())
File "/usr/lib/python2.4/site-packages/django/db/models/query.py" in
iterator
189. cursor.execute("SELECT " + (self._distinct and "DISTINCT " or
"") + ",".join(select) + sql, params)
File "/usr/lib/python2.4/site-packages/django/db/backends/util.py" in
execute
18. return self.cursor.execute(sql, params)
File "/usr/lib/python2.4/site-packages/MySQLdb/cursors.py" in execute
163. self.errorhandler(self, exc, value)
File "/usr/lib/python2.4/site-packages/MySQLdb/connections.py" in
defaulterrorhandler
35. raise errorclass, errorvalue

Exception Type: UnicodeDecodeError at /evenement/1/
Exception Value: 'utf8' codec can't decode bytes in position 1-3: invalid
data


Meista wrote:
>
>
> It seems that the first database query that returns utf-8 encoded
> stuff (i.e my last name) almost always raises this error.
> If i do a "python manage.py runserver" it always works, with "python ./
> manage.py runfcgi" not.
>
> Im confused :(
>
> >
>
>

--
View this message in context:http://www.nabble.com/Random-UnicodeDecodeError----tp15475706p15670756.htmlSent from the django-users mailing list archive at Nabble.com.


--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#6 Feb. 25, 2008 17:45:58

M.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


On 25 Feb., 01:12, jphoude <> wrote:
> I'm having the same problem with django svn (rev 7135). It happens only with
> fcgi (I'm using lighttpd), not with "runserver". Also, sometimes there's no
> error, but usually the second time I reload an exception is raised (so the
> same page can display fine one time, and the next time it raises an error).
>
> Putting DATABASE_OPTIONS = { 'charset': 'latin1', } in settings.py seems to
> fix the problem.
> My DB, tables and fields are set to utf8_general_ci.

Hi,

i dont know why, but for the moment it helps?!
I will still keep an eye on it.
Thanks a lot!


--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#7 Feb. 25, 2008 22:57:53

Malcolm T.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


On Sun, 2008-02-24 at 16:12 -0800, jphoude wrote:
>
> I'm having the same problem with django svn (rev 7135). It happens only with
> fcgi (I'm using lighttpd), not with "runserver". Also, sometimes there's no
> error, but usually the second time I reload an exception is raised (so the
> same page can display fine one time, and the next time it raises an error).
>
> Putting DATABASE_OPTIONS = { 'charset': 'latin1', } in settings.py seems to
> fix the problem.
> My DB, tables and fields are set to utf8_general_ci.

This means that almost certainly you don't, in fact, have correct UTF-8
data in your tables. Some ISO-8859-1 codepoints seem to have slipped in.
You should write a script to run through the data and make sure it
really is all UTF-8 (and re-encode that stuff that isn't).

Somebody posted here a couple of weeks ago pointing out they had arrived
in the same situation because their data was created by a PHP app (which
doesn't seem to do the encoding correctly).

Regards,
Malcolm

--
I intend to live forever - so far so good.http://www.pointy-stick.com/blog/--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#8 Feb. 26, 2008 02:11:06

Jean-Pascal H.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


On Feb 25, 5:57 pm, Malcolm Tredinnick <>
wrote:
> This means that almost certainly you don't, in fact, have correct UTF-8
> data in your tables. Some ISO-8859-1 codepoints seem to have slipped in.
> You should write a script to run through the data and make sure it
> really is all UTF-8 (and re-encode that stuff that isn't).
>
> Somebody posted here a couple of weeks ago pointing out they had arrived
> in the same situation because their data was created by a PHP app (which
> doesn't seem to do the encoding correctly).

But all my data was generated by django. At first I was using django
0.96, which I suppose handle
unicode differently, but I tried exporting the DB, converting it to
utf-8, and reimporting it without success.
Also, I find strange that this work perfectly using the development
webserver, and when I start using fastcgi,
unicode errors come up, what could cause this?

By the way, the "latin1" settings created several other problems for
me, I add to change the default python encoding to
utf-8 to fix some of them, and using unicode(str) fixed others, but
there's some problems I couldn't fix yet.

I will test with a fresh project soon, to see I have the same
problems.

Thank for your help,

Jean-Pascal
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#9 Feb. 26, 2008 02:25:25

Malcolm T.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


On Mon, 2008-02-25 at 18:11 -0800, Jean-Pascal Houde wrote:
>
>
> On Feb 25, 5:57 pm, Malcolm Tredinnick <>
> wrote:
> > This means that almost certainly you don't, in fact, have correct UTF-8
> > data in your tables. Some ISO-8859-1 codepoints seem to have slipped in.
> > You should write a script to run through the data and make sure it
> > really is all UTF-8 (and re-encode that stuff that isn't).
> >
> > Somebody posted here a couple of weeks ago pointing out they had arrived
> > in the same situation because their data was created by a PHP app (which
> > doesn't seem to do the encoding correctly).
>
> But all my data was generated by django. At first I was using django
> 0.96, which I suppose handle
> unicode differently, but I tried exporting the DB, converting it to
> utf-8, and reimporting it without success.

So you need to look more at the specifics. When the exception is thrown,
look at the exact data that is causing the problem. Work out why it
isn't either a unicode object or a string object with UTF-8 encoding (or
something like an int that can be safely passed through str()).

Looking at the traceback you originally posted, the exception is coming
when something is trying to be inserted into the database. Which means
somehow some poorly encoded data is getting that far. So try to work out
where it is coming from. Add exception handlers to catch the exception
and print the details. For example, you could modify the point it leaves
Django and enters the MySQLdb backend (the third-last stack frame in
your traceback) to print the details of what is being passed in and then
trying to trace that back to the source.

> Also, I find strange that this work perfectly using the development
> webserver, and when I start using fastcgi,
> unicode errors come up, what could cause this?

Django assumes it is receiving UTF-8 data as the encoding for any form
submissions. If that is not true, you need to set the encoding parameter
on the request object (see the unicode.txt documentation, in the section
called "Form submission"). However, I'd be a little surprised if that
was the problem, since we automatically convert to Unicode at that
point, so you'd be seeing the problem earlier than you are. Somehow,
between the input and when you save to the database, some data that is
being passed around as a (byte)string is not UTF-8 encoded. It's also
not necessarily latin1 encoded, since Python's latin1 codec is really
just a "pass-through" that will map any byte back to itself.

> By the way, the "latin1" settings created several other problems for
> me, I add to change the default python encoding to
> utf-8 to fix some of them,

Which is unfortunately code for "I had to break my Python install in
subtle ways that will be hard to diagnose." Changing the default
encoding is not recommended by any Python developer.

Regards,
Malcolm

--
If it walks out of your refrigerator, LET IT GO!!http://www.pointy-stick.com/blog/--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

#10 March 10, 2008 02:51:37

Jean-Pascal H.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

Random UnicodeDecodeError ??


Excuse me for the delay... I finally had some time to debug this
issue.
First, about the problems I was having :
I moved my application on another server, using apache+mod_python
instead of lighttpd+fastcgi, and all my unicode problems disappeared.

But I made some more tests using a blank project, with a simple test
app, and I was able to reproduce the problem. Here what I found (sorry
for the long message)...

My test project/app is pretty standard, I've only modified DB settings
(mysql 4.1.20 database), and added a simple entry in urls.py.
Here are the models.py and views.py files :

models.py :
class TestModel(models.Model):
title = models.CharField(max_length=255)

def __unicode__(self):
return self.title

views.py :
from django.http import HttpResponse, HttpResponseRedirect, Http404
from django.shortcuts import render_to_response
from testproject.testapp.models import TestModel

def test(request):
item = TestModel(title=u'Événement test')
item.save()

items = TestModel.objects.all()
for item in items:
title = item.title

return render_to_response('items.html', {'items' : items})


from django import newforms as forms

# this form seems important - without it, the error does not happen!
class AjouterInvitationForm(forms.Form):
partenaires = TestModel.objects.all()
choices =
for part in partenaires:
p = (part.id, unicode(part),)
choices.append(p)

partenaire = forms.ChoiceField(choices=choices)

As you can see, all the view does is add an unicode string "Événement"
to the DB, then display all the records. There is also a form that get
some data from the DB, and that's what seem to cause the problem.

So, using fastcgi, I get an error only about 1 out of 10-15 page
loads.
Also, the exception get "eaten" by django/core/urlresolvers.py (line
255), so I commented the try/except statements, so I could see the
real exception :
#try:
self._urlconf_module = __import__(self.urlconf_name, {},
{}, )
#except Exception, e:
# # Either an invalid urlconf_name, such as "foo.bar.",
or some
# # kind of problem during the actual import.
# raise ImproperlyConfigured, "Error while importing
URLconf %r: %s" % (self.urlconf_name, e)

Now here is the stack trace, after modifying django's
urlresolvers.py :
Unicode error hint

The string that could not be encoded/decoded was: �v�neme

Traceback:
File "/usr/local/lib/python2.4/site-packages/django/core/handlers/
base.py" in get_response
73. callback, callback_args, callback_kwargs =
resolver.resolve(request.path)
File "/usr/local/lib/python2.4/site-packages/django/core/
urlresolvers.py" in resolve
231. for pattern in self.urlconf_module.urlpatterns:
File "/usr/local/lib/python2.4/site-packages/django/core/
urlresolvers.py" in _get_urlconf_module
251. self._urlconf_module =
__import__(self.urlconf_name, {}, {}, )
File "/home/jphoude/testproject/../testproject/urls.py" in ?
2. from testproject.testapp import views
File "/home/jphoude/testproject/../testproject/testapp/views.py" in ?
19. class AjouterInvitationForm(forms.Form):
File "/home/jphoude/testproject/../testproject/testapp/views.py" in
AjouterInvitationForm
22. for part in partenaires:
File "/usr/local/lib/python2.4/site-packages/django/db/models/
query.py" in __iter__
114. return iter(self._get_data())
File "/usr/local/lib/python2.4/site-packages/django/db/models/
query.py" in _get_data
483. self._result_cache = list(self.iterator())
File "/usr/local/lib/python2.4/site-packages/django/db/models/
query.py" in iterator
189. cursor.execute("SELECT " + (self._distinct and
"DISTINCT " or "") + ",".join(select) + sql, params)
File "/usr/local/lib/python2.4/site-packages/django/db/backends/
util.py" in execute
18. return self.cursor.execute(sql, params)
File "/usr/local/lib/python2.4/site-packages/MySQL_python-1.2.2-py2.4-
linux-i686.egg/MySQLdb/cursors.py" in execute
166. self.errorhandler(self, exc, value)
File "/usr/local/lib/python2.4/site-packages/MySQL_python-1.2.2-py2.4-
linux-i686.egg/MySQLdb/connections.py" in defaulterrorhandler
35. raise errorclass, errorvalue

Exception Type: UnicodeDecodeError at /
Exception Value: 'utf8' codec can't decode bytes in position 0-1:
invalid data


So, I get this exception (on some page loads) only with "runfcgi". I
never see this happen using "runserver".
I could reproduce it on 2 different servers :
- Fedora Core 4 (cpanel) - mysql 4.1.22
- CentOS 4.6 - mysql 4.1.20
However, I could NOT reproduce it on the following server :
- CentOS 5.1 - mysql 5.0.22
With some more testing, I reproduced it using
- CentOS 4.6 with local mysql 4.1.20, using remote DB on CentOS 5.1 -
mysql 5.0.22
But NOT with :
- CentOS 5.1 with local mysql 5.0.22, using remote DB on CentOS 4.6 -
mysql 4.1.20
Note that I could not test using mod_python (except on the server that
did not have the problem with fastcgi), because of segmentation fault
problems. So I can't say if the same unicode error would happen or
not.

I hope I gave enough information... I don't know if I should post this
as a bug report. Maybe this is all caused by some stupid error I
made ;)
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups
"Django users" group.
To post to this group, send email to django-users@googlegroups.com
To unsubscribe from this group, send email to
For more options, visit this group athttp://groups.google.com/group/django-users?hl=en-~----------~----~----~----~------~----~------~--~---

Offline

Board footer

Moderator control

Enjoy the 16th of December
PoweredBy

The Forums are managed by develissimo stuff members, if you find any issues or misplaced content please help us to fix it. Thank you! Tell us via Contact Options
Leave a Message
Welcome to Develissimo Live Support